%{!?perl_vendorlib:  %define perl_vendorlib  %(eval "`%{__perl} -V:installvendorlib`" ; echo $installvendorlib)}
%{!?perl_vendorarch: %define perl_vendorarch %(eval "`%{__perl} -V:installvendorarch`"; echo $installvendorarch)}
%{!?perl_version:    %define perl_version    %(eval "`%{__perl} -V:version`"          ; echo $version)}

%define modn   XML-Parser
%define modv   2.40
%define modp   %(echo %{modn} | cut -d'-' -f1)


Summary:       A Perl module for parsing XML documents
Name:          perl-%{modn}
Version:       %{modv}
Release:       1%{?dist}%{?pext}
License:       GPL+ or Artistic
Group:         Development/Libraries
Source0:       http://search.cpan.org/CPAN/authors/id/C/CH/CHORNY/%{modn}-%{modv}.tar.gz
URL:           http://search.cpan.org/dist/%{modn}/
Buildroot:     %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
Vendor:        Alexandr Ciornii <alexchorny@gmail.com>
Requires:      perl(:MODULE_COMPAT_%{perl_version})
Requires:      perl(IO::Handle)
BuildRequires: perl >= 5.4.5
BuildRequires: perl(Config)
BuildRequires: perl(English)
BuildRequires: perl(Exporter)
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(File::Spec)
BuildRequires: perl(File::Temp)
BuildRequires: perl(IO::File)
BuildRequires: perl(LWP)
BuildRequires: perl(Test)
BuildRequires: expat-devel


%description
XML::Parser is a Perl module for parsing XML documents. It is built on top
of XML::Parser::Expat, which is a lower level interface to James Clark's
expat library.


%prep
%setup -q -n %{modn}-%{modv}


%build
%{__perl} \
	Makefile.PL          \
	INSTALLDIRS="vendor" \
	OPTIMIZE="${RPM_OPT_FLAGS} -Wno-unused"

%{__make} %{?_smp_mflags}


%check
# XXX: Expat issues (see RT#54747)
%{?el3:%{__rm} t/{decl,parament}.t}
%{__make} test


%install
[ -n "${RPM_BUILD_ROOT}" -a "${RPM_BUILD_ROOT}" != "/" ] && %{__rm} -rf ${RPM_BUILD_ROOT}
%{__mkdir_p} ${RPM_BUILD_ROOT}%{_prefix}

%{__make} \
	PERL_INSTALL_ROOT=${RPM_BUILD_ROOT} \
	pure_install

find ${RPM_BUILD_ROOT} -type f -name ".packlist"       -exec %{__rm} -f {} \;
find ${RPM_BUILD_ROOT} -type f -name "*.bs" -a -size 0 -exec %{__rm} -f {} \;
find ${RPM_BUILD_ROOT} -depth  -empty -type d          -exec rmdir      {} \;

%{__chmod} -R u+w ${RPM_BUILD_ROOT}/*


%clean
[ -n "${RPM_BUILD_ROOT}" -a "${RPM_BUILD_ROOT}" != "/" ] && %{__rm} -rf ${RPM_BUILD_ROOT}


%files
%defattr(-,root,root)
%doc Changes README
%{perl_vendorarch}/auto/%{modp}
%{perl_vendorarch}/%{modp}
%{_mandir}/man3/*.3*


%changelog
* Thu Dec 02 2010 Peter Pramberger <peterpramb@member.fsf.org> - 2.40-1
- New version (2.40)

* Sun Jun 01 2008 Peter Pramberger <peterpramb@member.fsf.org> - 2.36-3
- Initial build
